Chapter 6 - glibc

Heiko Zuerker heiko at zuerker.org
Mon Jan 31 07:16:23 PST 2005


> On Mon, 31 Jan 2005, T_B wrote:
>
>> Further, in using svn release level 135, I found that the
>> glibc-2.3.4.tar.bz2 does not include glibc-linuxthreads.  Thus, that
>> needs
>> to be included for glibc to build in chapter 6.  Also, glibc will not
>> build
>> in chapter 6 unless glibc-libidn is included when glibc was built in
>> chapter
>> 5.
>>
>
>  Why would you want linuxthreads when you can have nptl with a 2.6
> kernel ?  I'd assumed that --enable-kernel=2.6.0 was at least partly to
> tell the configure process to use nptl.

Not really:

--enable-kernel=2.6.0
This only removes support for Kernels older then 2.6.0

--enable-add-ons=nptl
This will enable support for nptl.

-- 
Regards
  Heiko Zuerker
  http://www.devil-linux.org




More information about the hlfs-dev mailing list